Issue #1991 has been updated by Shyouhei Urabe.


I once heared there is a Mac version of Failmalloc (sorry for lacking a pointer).  At least there is DYLD_INSERT_LIBRARIES which is the counterpart of LD_PRELOAD.

It seems moving to twolevel namespaces has both merits and demerits.  Perhaps I may be repeating myself but I just prefer persistent behavior for old versions like 1.8.6, because compatibility breakages are simply unallowable.  I'm not against to move for 1.8.8.
----------------------------------------
http://redmine.ruby-lang.org/issues/show/1991

----------------------------------------
http://redmine.ruby-lang.org